aboutsummaryrefslogtreecommitdiff
path: root/bin/rndl
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-03 17:57:47 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-03 18:03:38 +1200
commit8783a7ba4fccb5f8bb178241a98392cb4b6f6f6c (patch)
tree9323cf3529ba1c809beed46256889b8ee88c6d0d /bin/rndl
parentAllow numerator and denominator in myb(1) (diff)
downloaddotfiles-8783a7ba4fccb5f8bb178241a98392cb4b6f6f6c.tar.gz
dotfiles-8783a7ba4fccb5f8bb178241a98392cb4b6f6f6c.zip
Add rnds(1)
Low-quality random seed attempt.
Diffstat (limited to 'bin/rndl')
-rwxr-xr-xbin/rndl3
1 files changed, 2 insertions, 1 deletions
diff --git a/bin/rndl b/bin/rndl
index 17e90470..978fc194 100755
--- a/bin/rndl
+++ b/bin/rndl
@@ -13,5 +13,6 @@ if [ "$#" -eq 0 ] ; then
cat >"$td"/stdin
fi
lc=$(sed -- '$=;d' "$@") || exit
-ri=$(rndi 1 "$lc") || exit
+seed=$(rnds)
+ri=$(rndi 1 "$lc" "$seed") || exit
sed -- "$ri"'!d' "$@"